<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		margin:0;
	}
	nav{
		height:8vh;
		background: coral;
		box-shadow: 0px 2px 8px 2px rgba(0,0,0,0.12);
		width: 100%;
		padding:0 5vw;
		display: flex;
		align-items: center;
		box-sizing: border-box;
	}
	nav>span{
		cursor: pointer;
	}
	section{
		height:92vh;
		display: flex;
		width: 100%;
	}
	#side-nav, .content{
		height:100%;
		box-sizing: border-box;
		transition: .3s
	}
	.open>#side-nav{
		width:20%;
	}
	.close>#side-nav{
		width:0%;
	}
	#side-nav{ 
		overflow: hidden;
		border-right:1px solid rgba(0,0,0,0.3);
	}
	.content{
		display: flex;
		flex:1;
		justify-content: center;
		align-items: center;
	}
</style>
<body>
<nav>
	<span onclick="toggleMenu()">Menu</span>
</nav>
<section id="main" class="close">
	<div id="side-nav">
		this is the side-nav
	</div>
	<div class="content">
		This is the content part
	</div>
</section>
</body>
<script type="text/javascript">
<<<<<<< HEAD
	function toggleMenu(){
	 document.getElementById("main").classList.toggle('open');
	 document.getElementById("main").classList.toggle('close');
	}
=======
	 // tarika 1:
	 document.getElementById('addWord').addEventListener('keyup', function (e){
	 	if(e.keyCode===13 && e.target.value!=''){
	 		document.getElementById('boxes').innerHTML += "<div class='box'>"+ e.target.value+"</div>"; 
	 		e.target.value='';
	 	}
	 });

	// tarika 2
	// document.getElementById('addWord').addEventListener('keyup', function(e){
	// 	if(e.keyCode==13){
	// 	addBox()
	// 	}
	// });

	function addBox(){
		let value= document.getElementById('addWord').value;
		if(value!=''){
		document.getElementById('boxes').innerHTML += "<div class='box'>"+ value+"</div>"; 
		 document.getElementById('addWord').value='';
		 }
	}

	// // // tarika3
	// function focusAdd(inputTag){
	// 	let value=inputTag.value;
	// 			if(value!=''){
	// 	document.getElementById('boxes').innerHTML += "<div class='box'>"+ value + "</div>"; 	
	// 	inputTag.value='';
	// }
	// 	}	
>>>>>>> 87e0b87f3c970b6ec0942e8a4dda9ce349b62cbe
</script>
</html>